Cantera 2.6.0

Namespaces | Variables
WaterPropsIAPWS.cpp File Reference

Definitions for a class for calculating the equation of state of water from the IAPWS 1995 Formulation based on the steam tables thermodynamic basis (See class WaterPropsIAPWS). More...

`#include "cantera/thermo/WaterPropsIAPWS.h"`
`#include "cantera/base/ctexceptions.h"`
`#include "cantera/base/stringUtils.h"`
Include dependency graph for WaterPropsIAPWS.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Variables
const doublereal | T_c = 647.096
| Critical Temperature value (kelvin) More...
static const doublereal | P_c = 22.064E6
| Critical Pressure (Pascals) More...
const doublereal | Rho_c = 322.
| Value of the Density at the critical point (kg m-3) More...
static const doublereal | M_water = 18.015268
| Molecular Weight of water that is consistent with the paper (kg kmol-1) More...
static const doublereal | Rgas = 8.314371E3
| Gas constant that is quoted in the paper. More...

## Detailed Description

Definitions for a class for calculating the equation of state of water from the IAPWS 1995 Formulation based on the steam tables thermodynamic basis (See class WaterPropsIAPWS).

Definition in file WaterPropsIAPWS.cpp.